Bug 76604 - 2.4.18-17.7.x kernel erratum, bad interaction with promise Ultra-66 controller.
2.4.18-17.7.x kernel erratum, bad interaction with promise Ultra-66 controller.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-23 21:17 EDT by fred smith
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description fred smith 2002-10-23 21:17:55 EDT
Description of Problem:
After installilng the 2.4.18-17.7.x kernel errata, drives attached to promise Ultra-66 controller (20262 chipset) behave badly. CDRW drive is recognized as present, but cannot be accessed. DMA-100 hard drive (maxtor, 100 gig) can be accessed, soemtimes, but anything more than a simple "ls" hangs and never returns. When in this state simple commands in other VTs seem to work, but "shutdown -h now" or "shutdown -r now" just hang and do not complete. Rebooting with the prior errata kernel (2.4.9-34) returns behavior to normal. System is FIC VA-503+ bord with AMD K6-2/350 CPU and 384mb PC100 RAM.

Reverting to the previous errata kernel, 2.4.9-34, resolves the problem.

Version-Release number of selected component (if applicable):
2.4.18-17.7.x kernel

How Reproducible:

Steps to Reproduce:
1. with 100 gig drive on /dev/hdg, install 2.4.18-17.7.x kernel erratum on an otherwise up to date RH72 system
2. attempt non-trivial access to /dev/hdg, e.g., "fsck -fy /dev/hdg1"
3. fsck will start, then drive access light goes off, fsck hangs.
4. some programs in other VTs will behave badly.
5. "shutdown -h now" or "shutdown -r now" will not work, simply hangs, forcing a dirty shutdown.

Actual Results:
as above

Expected Results:
a working system

Additional Information:
This is a FIC VA-503+ motherboard, AMD K6-2/350 CPU, 384mb PC100 RAM. not overclocked in any way.

The Promise controller has the latest manufacturer's firmware.	

The i586 kernel was chosen by up2date.
Comment 1 fred smith 2002-11-17 14:44:27 EST
Just updated to the 2.4.18-18.7.x kernel erratum. The problem remains!

The drive (/dev/hdg) is 100 gig maxtor, 3 partitions. hdg1 is 80 gigs, hdg2 and hdg3 evenly split the remainder, at around 8 gigs more or less each. hdg3 can be accessed apparently successfully (only brief attempt, seemed to work OK). An attempt to mount /dev/hdg1 hangs. The LED attached to the Promise controller's LED connector is on, remains on. Several minutes go by before I give up and do a 3-finger-salute. The 3-finger-salute fails, does not reboot. Had to do a hard powerdown and reboot. Rebooted to the 2.4.98-34 kernel because it is known to work.

FWIW, the motherboard has the manufacturer's latest (as of August) BIOS.
Comment 2 fred smith 2003-07-16 19:54:44 EDT
I'm still unable to use a newer errata kernel.... any news on this? I don't see
anyone else reporting it. How can I help diagnose it?
Comment 3 Bugzilla owner 2004-09-30 11:40:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.